Get details of a specific worker client certificate

View as Markdown

A ViewSet for WorkerClientCertificate instances.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this worker client certificate.

Response

idstringRead-onlyformat: "uuid"
workerstringRead-onlyformat: "uuid"
The worker that the client certificate is issued for.
worker_fqdnstringRead-only
FQDN of the worker that the client certificate is issued to.
usablebooleanRead-only
Whether the client certificate can be used for authentication. This means that the certificate is neither expired nor revoked.
expiresdatetimeRead-only
The date and time when the client certificate expires.
fingerprintstringRead-only

SHA-256 fingerprint of the client certificate.

last_useddatetime or nullRead-only
The date and time when the client certificate was last used for authentication.
revokedbooleanRead-only
Whether the client certificate has been revoked.

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error